add_library(menu
    "src/gamecfg_menu.c"
    "src/hostjoin_menu.c"
    "src/host_menu.c"
    "src/join_menu.c"
    "src/menu.c"
    "src/menu_net.c"
    "src/main_menu.c"
    "src/settings_menu.c"
)
target_include_directories(menu PUBLIC "inc" PRIVATE "privinc")
target_link_libraries(menu PRIVATE
    camera
    game
    gfx
    gui
    input
    net
    packet
    settings
    system
    util
)
